/**
 * Checks whether a Nano address is valid.
 *
 * @param {string} address The address to check.
 * @param {string | string[]} [prefix = ['nano', 'xrb']] The allowed prefix(es).
 *
 * @throws {Error} Address must be defined.
 * @throws {TypeError} Address must be a string.
 * @throws {TypeError} Prefix must be a string or an array of strings.
 *
 * @returns {boolean} Whether the address is valid.
 */
export default function (address: string, prefix?: string | string[]): boolean;
